From 36a5ccfb3639c5e867c674d8f8060d908cd8e095 Mon Sep 17 00:00:00 2001
From: Zhu Huankai <zhuhuankai1@huawei.com>
Date: Tue, 1 Jun 2021 21:26:34 +0800
Subject: [PATCH 1/4] balloon1

Signed-off-by: Zhu Huankai <zhuhuankai1@huawei.com>
---
 .../functional/test_microvm_balloon.py        | 35 +++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 tests/hydropper/testcases/microvm/functional/test_microvm_balloon.py

diff --git a/tests/hydropper/testcases/microvm/functional/test_microvm_balloon.py b/tests/hydropper/testcases/microvm/functional/test_microvm_balloon.py
new file mode 100644
index 0000000..aa34784
--- /dev/null
+++ b/tests/hydropper/testcases/microvm/functional/test_microvm_balloon.py
@@ -0,0 +1,35 @@
+# Copyright (c) 2021 Huawei Technologies Co.,Ltd. All rights reserved.
+#
+# StratoVirt is licensed under Mulan PSL v2.
+# You can use this software according to the terms and conditions of the Mulan
+# PSL v2.
+# You may obtain a copy of Mulan PSL v2 at:
+#         http:#license.coscl.org.cn/MulanPSL2
+# THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY
+# KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
+# NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
+# See the Mulan PSL v2 for more details.
+"""Test microvm ballon"""
+
+import time
+import logging
+import pytest
+
+LOG_FORMAT = "%(asctime)s - %(levelname)s - %(message)s"
+logging.basicConfig(filename='/var/log/pytest.log', level=logging.DEBUG, format=LOG_FORMAT)
+
+@pytest.mark.acceptance
+def test_microvm_balloon_query(microvm):
+    """
+    Test qmp command for querying balloon
+
+    steps:
+    1) launch microvm with argument: "-balloon deflate-on-oom=true".
+    2) query memory size, and check if it is 2524971008 which is default memory size.
+    """
+    test_vm = microvm
+    test_vm.basic_config(balloon=True, deflate_on_oom=True)
+    test_vm.launch()
+    resp = test_vm.query_balloon()
+    assert int(resp["return"]["actual"]) == int(microvm.memsize)
+
-- 
2.27.0

